After do |scenario|
  if (scenario.failed?)
    subject = scenario.title
    time = Time.now.to_i
    page.driver.render("./testresults/#{time}-failed-#{subject}.png", :full => true)
  end
end

When /^I click the "(.*?)" button$/ do |arg1|
    click_button(arg1)
end

When /^I click the link "(.*?)"$/ do |arg1|
    click_link(arg1)
end

When /^I choose "(.*?)"$/ do |arg1|
    choose(arg1)
end

Then /^I should see a title with text "(.*?)"$/ do |arg1|
    page.find('h1.title').text.should match(arg1)
end

Then /^the "(.*?)" button should not be enabled$/ do |arg1|
    page.should have_css('.btn.btn-primary[disabled]')
end

Then /^the "(.*?)" button should be enabled$/ do |arg1|
    page.has_no_css?('.btn.btn-primary[disabled]')
end

Then /^I should see a "(.*?)" button$/ do |arg1|
    page.has_button?(arg1)
end

Then /^there should be a "(.*?)" with text "(.*?)"$/ do |arg1, arg2|
    find(arg1, :text => arg2).visible?
end

Then /^there should be a link with text "(.*?)"/ do |arg1|
    find_link(arg1).visible?
end

Then /^there should be a link called "(.*?)" with href "(.*?)"$/ do |arg1, arg2|
    page.has_link?(arg1, :href => arg2)
end

Then /^there should be a link "(.*?)" with href "(.*?)" and target "(.*?)"$/ do |arg1, arg2, arg3|
    find_link(arg1)[:href].should == arg2
    find_link(arg1)[:target].should == arg3
end

Then /^"(.*?)" should be visible$/ do |text|
    page.should have_xpath("//*[contains(text(),'#{text}')]", :visible => true)
end

Then /^"(.*?)" should not be visible$/ do |text|
    page.should_not have_xpath("//*[text()='#{text}']", :visible => true)
end

Then /^the "(.*?)" field option should be set to "(.*?)"$/ do |elem, text|
    page.has_select?(elem, :selected => text).should == true
end

When /^I fill field "(.*?)" with "(.*?)"$/ do |elem, text|
    fill_in(elem, :with => text);
end


Then /^the "(.*?)" field should be valid$/ do |arg1|
  page.should have_css('#'+ arg1 + ".ng-valid")
end

Then /^the "(.*?)" field should be invalid$/ do |arg1|
  page.should have_css('#'+ arg1 + ".ng-invalid")
end

Then /^the "(.*?)" field shoud be too long$/ do |arg1|
   page.should have_css('#'+ arg1 + ".ng-invalid-max-length")
end

Given /^I am on the "(.*?)" page$/ do |arg1|
  visit(arg1)
end

Then /^the field "(.*?)" should have the text "(.*?)"$/ do |arg1, arg2|
    find_field(arg1).value.should == arg2
end

Then /^the querystring is "(.*?)"$/ do |arg1|
    uri = URI.parse(current_url)
    uri.fragment.end_with?(arg1).should be_true
end

Then /^I should see a server error$/ do
  page.should have_css(".alert-error")
end